GLXDESTROYPBUFFER(3G)

NAME
glXDestroyPbuffer - destroy an off-screen rendering area

C SPECIFICATION

void glXDestroyPbuffer(Display * dpy, GLXPbuffer pbuf);

PARAMETERS

dpy
    Specifies the connection to the X server.

pbuf
    Specifies the GLXPbuffer to be destroyed.

DESCRIPTION

glXDestroyPbuffer destroys a GLXPbuffer created by glXCreatePbuffer().

NOTES

glXDestroyPbuffer is available only if the GLX version is 1.3 or greater.

If the GLX version is 1.1 or 1.0, the GL version must be 1.0. If the GLX version is 1.2, then the GL version must be 1.1. If the GLX version is 1.3, then the GL version must be 1.2.

ERRORS

GLXBadPbuffer is generated if pbuf is not a valid GLXPbuffer.

SEE ALSO

glXChooseFBConfig(), glXCreatePbuffer(), glXMakeContextCurrent()

COPYRIGHT

Copyright © 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.